OgreShaderFunctionAtom.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreSingleton.h"`
`#include "OgreShaderParameter.h"`
`#include "OgreStringVector.h"`

Go to the source code of this file.

## Classes

class | Ogre::RTShader::FunctionAtom
| A class that represents an atomic code section of shader based program function. More...
class | Ogre::RTShader::Operand
| A class that represents a function operand (its the combination of a parameter the in/out semantic and the used fields) More...
class | Ogre::RTShader::FunctionInvocation
| A class that represents function invocation code from shader based program function. More...
struct | Ogre::RTShader::FunctionInvocation::FunctionInvocationLessThan
| Comparator function to be used for sorting. More...
struct | Ogre::RTShader::FunctionInvocation::FunctionInvocationCompare
| Comparator function to be used for comparisons. More...

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Typedefs

typedef vector< FunctionAtom * > ::type | Ogre::RTShader::FunctionAtomInstanceList
typedef FunctionAtomInstanceList::iterator | Ogre::RTShader::FunctionAtomInstanceIterator
typedef FunctionAtomInstanceList::const_iterator | Ogre::RTShader::FunctionAtomInstanceConstIterator

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25